{% extends 'admin/base_admin.html.twig' %}

{% block title %}Order{% endblock %}
{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.orders') }}">Orders</a></li>
        <li class="breadcrumb-item active">{{ order.created|date('Y-m-d') }}</li>
    </ol>
{% endblock %}

{% block body %}

    <div class="container">
        <div class="card">
            <div class="card-body">
                <div class="box">
                    <table class="table table-bordered table-hover">
                        <tbody>
                        <tr>
                            <th>Customer</th>
                            <td>
                                <a href="{{ path('admin.customers.show', {'id': order.customer.id}) }}">{{ order.customer.name.full }}</a>
                            </td>
                        </tr>
                        <tr>
                            <th>Created</th>
                            <td>
                                {{ order.created|date('Y-m-d') }}
                            </td>
                        </tr>
                        <tr>
                            <th>Grand total</th>
                            <td>
                                {{ order.grandTotal }}
                            </td>
                        </tr>
                        <tr>
                            <th>Status</th>
                            <td>
                                {{ order.status }}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <h4>Products</h4>
            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Count</th>
                        <th>Subtotal</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for item in order.items %}
                        <tr>
                            <td>
                                <a href="{{ path('admin.products.show', {'id': item.product.id}) }}">{{ item.product.name }}</a>
                            </td>
                            <td>
                                {{ item.product.price }}
                            </td>
                            <td>
                                {{ item.quantity }}
                            </td>
                            <td>
                                {{ item.subtotal }}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <h4>Address</h4>
            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Address</th>
                        <th>City</th>
                        <th>ZipCode</th>
                        <th>Country</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            {{ order.customer.name.full }}
                        </td>
                        <td>
                            {{ order.address.address }}
                        </td>
                        <td>
                            {{ order.address.city }}
                        </td>
                        <td>
                            {{ order.address.zipcode }}
                        </td>
                        <td>
                            {{ order.address.country }}
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock %}